# == Schema Information
#
# Table name: puzzles
#
#  id         :integer          not null, primary key
#  brand      :string
#  name       :string
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  contest_id :integer          not null
#
# Indexes
#
#  index_puzzles_on_contest_id  (contest_id)
#
# Foreign Keys
#
#  contest_id  (contest_id => contests.id)
#
class Puzzle < ApplicationRecord
  belongs_to :contest

  has_many :completions
  has_one_attached :image

  validates :name, presence: true
end
